package com.fs.store.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 附件管理对象 fs_attachment
 * 
 * @author fs
 * @date 2022-03-15
 */
public class FsAttachment extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long attId;

    /** 附件名称 */
    @Excel(name = "附件名称")
    private String name;

    /** 附件路径 */
    @Excel(name = "附件路径")
    private String attDir;

    /** 压缩图片路径 */
    @Excel(name = "压缩图片路径")
    private String sattDir;

    /** 附件大小 */
    @Excel(name = "附件大小")
    private String attSize;

    /** 附件类型 */
    @Excel(name = "附件类型")
    private String attType;

    /** 图片上传类型 1本地 2七牛云 3OSS 4COS  */
    @Excel(name = "图片上传类型 1本地 2七牛云 3OSS 4COS ")
    private Integer imageType;

    /** 图片上传模块类型 1 后台上传 2 用户生成 */
    @Excel(name = "图片上传模块类型 1 后台上传 2 用户生成")
    private Integer moduleType;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 邀请码 */
    @Excel(name = "邀请码")
    private String inviteCode;

    /** $column.columnComment */
    @Excel(name = "邀请码")
    private Integer isDel;

    public void setAttId(Long attId) 
    {
        this.attId = attId;
    }

    public Long getAttId() 
    {
        return attId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setAttDir(String attDir) 
    {
        this.attDir = attDir;
    }

    public String getAttDir() 
    {
        return attDir;
    }
    public void setSattDir(String sattDir) 
    {
        this.sattDir = sattDir;
    }

    public String getSattDir() 
    {
        return sattDir;
    }
    public void setAttSize(String attSize) 
    {
        this.attSize = attSize;
    }

    public String getAttSize() 
    {
        return attSize;
    }
    public void setAttType(String attType) 
    {
        this.attType = attType;
    }

    public String getAttType() 
    {
        return attType;
    }
    public void setImageType(Integer imageType) 
    {
        this.imageType = imageType;
    }

    public Integer getImageType() 
    {
        return imageType;
    }
    public void setModuleType(Integer moduleType) 
    {
        this.moduleType = moduleType;
    }

    public Integer getModuleType() 
    {
        return moduleType;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setInviteCode(String inviteCode) 
    {
        this.inviteCode = inviteCode;
    }

    public String getInviteCode() 
    {
        return inviteCode;
    }
    public void setIsDel(Integer isDel) 
    {
        this.isDel = isDel;
    }

    public Integer getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("attId", getAttId())
            .append("name", getName())
            .append("attDir", getAttDir())
            .append("sattDir", getSattDir())
            .append("attSize", getAttSize())
            .append("attType", getAttType())
            .append("imageType", getImageType())
            .append("moduleType", getModuleType())
            .append("userId", getUserId())
            .append("inviteCode", getInviteCode())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("isDel", getIsDel())
            .toString();
    }
}
